Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 07 May 2022 10:27:05 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered last April 24 and the expected delivery date was May 2, but until now i am still not getting news about it. Your service is HORRIBLE, your timeline is useless. I’ve been contacting your customer service but they cannot give me a detailed answer. I am asking for the contact number of the courier but they told they don’t know it. How come an online shop, doesn’t know how to contact the courier?  Are you just throwing the items everywhere after confirming the orders online? WHAT A BAD EXPERIENCE! I WILL NEVER ORDER AGAIN! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4321629